cascading.util

## Class SetMultiMap<K,V>

- java.lang.Object
- - cascading.util.MultiMap<Set<V>,K,V>
  - - cascading.util.SetMultiMap<K,V>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EnumMultiMap

    public class SetMultiMap<K,V>
    extends MultiMap<Set<V>,K,V>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SetMultiMap()`

### Method Summary

Methods
`protected Set<V>` `createCollection()`
`protected Map<K,Set<V>>` `createMap()`
`protected Set<V>` `emptyCollection()`

### Methods inherited from class cascading.util.MultiMap

`addAll, addAll, addAll, containsKey, equals, getAllValues, getEntries, getKeys, getKeysFor, getMap, getMultiValues, getValues, getValues, hadKey, hashCode, hasKey, isEmpty, put, remove, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SetMultiMap

    public SetMultiMap()

### Method Detail

#### createMap

    protected Map<K,Set<V>> createMap()

Specified by:
  `createMap` in class `MultiMap<Set<V>,K,V>`

#### createCollection

    protected Set<V> createCollection()

Specified by:
  `createCollection` in class `MultiMap<Set<V>,K,V>`

#### emptyCollection

    protected Set<V> emptyCollection()

Specified by:
  `emptyCollection` in class `MultiMap<Set<V>,K,V>`